=== debian/changelog ===
ros-melodic-wge100-camera (1.8.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Austin Hendrix <ahendrix@willowgarage.com>  Thu, 02 May 2019 22:01:46 -0000
