=== debian/control ===
Source: ros-melodic-wge100-camera
Section: misc
Priority: extra
Maintainer: Austin Hendrix <ahendrix@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-camera-calibration-parsers, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-driver-base, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-self-test, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-timestamp-tools
Homepage: http://www.ros.org/wiki/wge100_camera
Standards-Version: 3.9.2

Package: ros-melodic-wge100-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-camera-calibration-parsers, ros-melodic-diagnostic-updater, ros-melodic-driver-base, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-self-test, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-timestamp-tools
Description: A ROS node and assorted tools to provide access to the WGE100 camera used in the forearms and the stereo cameras of the PR2 robot.
